GETTABLE(8C)

NAME
gettable - get DARPA Internet format host table from a host

SYNOPSIS
/usr/etc/gettable host

DESCRIPTION

gettable is a simple program used to obtain the DARPA Internet host table from a “hostname” server. The indicated host is queried for the table. The table, if retrieved, is placed in the file hosts.txt.

gettable operates by opening a TCP connection to the port indicated in the service specification for “hostname” . A request is then made for “ALL” names and the resultant information is placed in the output file.

gettable is best used in conjunction with the htable(8) program which converts the DARPA Internet host table format to that used by the network library lookup routines.

SEE ALSO
intro(3), htable(8)

Harrenstien, Ken, Mary Stahl, and Elizabeth Feinler, HOSTNAME Server, RFC 953, Network Information Center, SRI International, Menlo Park, Calif., October 1985.

BUGS

Should allow requests for only part of the database.